Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 220765 - net-p2p/gnunet-0.7.3-r1: aclocal fails with sys-devel/libtool-2.2.4
Summary: net-p2p/gnunet-0.7.3-r1: aclocal fails with sys-devel/libtool-2.2.4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo net-p2p team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: libtool-2.2
  Show dependency tree
 
Reported: 2008-05-07 14:27 UTC by Martin von Gagern
Modified: 2008-06-30 14:20 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Upstream fix -r6742:6836 (bug220765a.patch,422 bytes, patch)
2008-06-13 08:50 UTC, Martin von Gagern
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin von Gagern 2008-05-07 14:27:42 UTC
* Running aclocal -I m4
   -I /var/tmp/portage/net-p2p/gnunet-0.7.3-r1/work/GNUnet-0.7.3/m4 ...                                                                 
 * Failed Running aclocal !

***** aclocal *****
***** aclocal -I m4 -I /var/tmp/portage/net-p2p/gnunet-0.7.3-r1/work/GNUnet-0.7.3/m4

aclocal.out:

configure.ac:44: error: `libltdl' is already registered with AC_CONFIG_SUBDIRS.
../../lib/autoconf/status.m4:1092: AC_CONFIG_SUBDIRS is expanded from...
/usr/share/aclocal/ltdl.m4:383: _LTDL_SETUP is expanded from...
/usr/share/aclocal/ltdl.m4:242: LTDL_INIT is expanded from...
/usr/share/aclocal/ltdl.m4:368: AC_LIB_LTDL is expanded from...
configure.ac:44: the top level
autom4te-2.62: /usr/bin/m4 failed with exit status: 1
aclocal-1.10: autom4te failed with exit status: 1
Comment 1 Carsten Weidmann 2008-05-09 21:28:49 UTC
Same thing here

emerge --info
Portage 2.1.5_rc8 (default-linux/x86/2007.0, gcc-4.2.3, glibc-2.7-r2, 2.6.24-gentoo-r3 i686)
=================================================================
System uname: 2.6.24-gentoo-r3 i686 AMD Athlon(tm) XP 1800+
Timestamp of tree: Fri, 09 May 2008 15:35:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.5.2-r2
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.3
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.62
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.4
virtual/os-headers:  2.6.25-r1
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe -fomit-frame-pointer -finline-functions -mfpmath=sse"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=native -pipe -fomit-frame-pointer -finline-functions -mfpmath=sse"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.inode.at/ http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/ http://mirror.switch.ch/ftp/mirror/gentoo/ http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/"
LANG="de_DE.utf8"
LC_ALL="de_DE.utf8"
LDFLAGS=""
LINGUAS="de en"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="16bit 3dnow 3dnowext 7zip X X509 a52 aac aalib accessibility acl acpi additions aim alsa applet artworkextra asm audiofile bash-completion bdf berkdb bl blender-game branding bzip2 c++ cairo cddb cdparanoia cdr clamav cli cpudetection cracklib crypt css cups curl curlwrappers dbus deprecated devil dga dia discouraged divx doc dri dts dv dvd dvdr dvdread dvi encode epiphany examples exif fbcon ffmpeg flac fluidsynth fmod foomaticdb fuse gdbm gif gimp glade glibc-omitfp glitz glut gmedia gnokii gphoto2 gpm gs gsf gstreamer gtk guile gzip hal hddtemp iconv icq idn ieee1394 imagemagick imap imlib inherit-graph ipv6 irda jabber jack jack-tmpfs java java5 jikes joystick jpeg jpeg2k kcal kde kdepim kdm kpathsea ladcca ladspa lame latex lcd lcms lirc live lm_sensors lua lyrics lzo mad midi mime mjpeg mmap mmx mmxext mng modplug moznocompose moznoirc moznomail moznoroaming mp2 mp3 mpeg mpeg2 mplayer msn mudflap musepack musicbrainz mysql nas nautilus ncurses networking nls nocd nptl nptlonly nsplugin nvidia ofx ogg openal openexr opengl openmp oscar pam pascal pcre pdf perl php png postgres postscript povray ppds python qt3 qt3support qt4 quicktime rar readline real realmedia reflection regex reiserfs ruby scanner sdk sdl seamonkey session silc slang sndfile sound sounds sourceview spamassassin speedo speex spl sql sqlite sqlite3 sse ssl subtitles subversion svg svgz sysfs t1lib tcpd tetex tga theora threads tiff transcode truetype twolame type1 unicode usb v4l v4l2 valgrind vcd vdr videos vidix vim vim-pager vim-syntax vim-with-x visualization vorbis win32codecs wma wmf wmp x264 x86 xanim xcomposite xforms xft xine xml xorg xpm xslt xvid xvmc yahoo yv12 zip zlib zvbi" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m        maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse joystick" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de en" USERLAND="GNU" VIDEO_CARDS="vesa fbdev nv nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 2 Martin von Gagern 2008-05-10 22:19:18 UTC
I tried to find out more about this issue. Looks like AC_LIB_LTDL got deprecated somewhere between libtool 1.5 and 2.2. The older version didn't call AC_CONFIG_SUBDIRS where the newer does. I couldn't get the savannah git web frontend to display a "blame" version of the file, to see where the relevant changes were introduced. The 2004-08-22 ChangeLog entry mentions the obsoletion of AC_LIB_LTDL as part of the preparations for 2.0, but not much more.
http://git.savannah.gnu.org/gitweb/?p=libtool.git;a=blob;f=ChangeLog.2004;hb=HEAD

I see several possible approaches:

1. Conditionally have the ebuild remove AC_CONFIG_SUBDIRS from line 42 of
   configure.ac if libtool 2 is used
2. Move AC_CONFIG_SUBDIRS after AC_LIB_LTDL and wrap it in an m4 check whether
   the directory is already registered
3. Declare that functionality of known macros should not change within a slot
   and move the whole issue from gnunet to libtool maintainers

Keep in mind that 1. and 3. at the same time might be a bad idea. Also if upstream should decide something like 3. and remove the AC_CONFIG_SUBDIRS again, then the ebuild would need to be fixed over again.
Comment 3 Raúl Porcel (RETIRED) gentoo-dev 2008-05-14 09:29:51 UTC
Could you file a bug upstream?
Comment 4 Martin von Gagern 2008-05-15 09:31:47 UTC
(In reply to comment #3)
> Could you file a bug upstream?

Filed with gnunet as https://gnunet.org/mantis/view.php?id=1340
Comment 5 Martin von Gagern 2008-05-20 22:51:39 UTC
(In reply to comment #4)
> Filed with gnunet as https://gnunet.org/mantis/view.php?id=1340

Upstream applied a fix, which we might wish to include in order to fix this:
svn diff -r6742:6836 https://gnunet.org/svn/GNUnet/configure.ac

I also wrote to the libtool mailing list, without reply so far:
http://thread.gmane.org/gmane.comp.gnu.libtool.general/9323
Comment 6 Martin von Gagern 2008-06-13 08:50:32 UTC
Created attachment 156589 [details, diff]
Upstream fix -r6742:6836

Please apply this patch in the ebuild, in order to fix this issue.
Comment 7 Raúl Porcel (RETIRED) gentoo-dev 2008-06-30 14:20:59 UTC
Applied, thanks!